org.eclipse.jgit.api

## Class PullResult

- java.lang.Object
- - org.eclipse.jgit.api.PullResult

    public class PullResult
    extends Object

Encapsulates the result of a `PullCommand`

### Method Summary

Methods
`String` `getFetchedFrom()`
`FetchResult` `getFetchResult()`
`MergeResult` `getMergeResult()`
`RebaseResult` `getRebaseResult()`
`boolean` `isSuccessful()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### getFetchResult

    public FetchResult getFetchResult()

Returns:
  the fetch result, or `null`

#### getMergeResult

    public MergeResult getMergeResult()

Returns:
  the merge result, or `null`

#### getRebaseResult

    public RebaseResult getRebaseResult()

Returns:
  the rebase result, or `null`

#### getFetchedFrom

    public String getFetchedFrom()

Returns:
  the name of the remote configuration from which fetch was tried, or `null`

#### isSuccessful

    public boolean isSuccessful()

Returns:
  whether the pull was successful

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`